## org.hibernate.engine.jdbc
Class StreamUtils

    java.lang.Object
      org.hibernate.engine.jdbc.StreamUtils

    public class StreamUtils

extends Object

Stream copying utilities

Author:
  Steve Ebersole

Field Summary
`static int` `DEFAULT_CHUNK_SIZE`

Constructor Summary
`StreamUtils()`

Method Summary
`static long` `copy(InputStream inputStream, OutputStream outputStream)`
`static long` `copy(InputStream inputStream, OutputStream outputStream, int bufferSize)`
`static long` `copy(Reader reader, Writer writer)`
`static long` `copy(Reader reader, Writer writer, int bufferSize)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CHUNK_SIZE

    public static final int DEFAULT_CHUNK_SIZE

See Also:
  Constant Field Values

Constructor Detail

### StreamUtils

    public StreamUtils()

Method Detail

### copy

    public static long copy(InputStream inputStream,
                            OutputStream outputStream)
                     throws IOException

  Throws:
    `IOException`

### copy

    public static long copy(InputStream inputStream,
                            OutputStream outputStream,
                            int bufferSize)
                     throws IOException

  Throws:
    `IOException`

### copy

    public static long copy(Reader reader,
                            Writer writer)
                     throws IOException

  Throws:
    `IOException`

### copy

    public static long copy(Reader reader,
                            Writer writer,
                            int bufferSize)
                     throws IOException

  Throws:
    `IOException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.